/****************************************************************************************
    Copyright 2004 uja
    Copyright 2004 Trolltech (Qt3)
    
    This file is part of Edelsteine.
*****************************************************************************************/

#ifndef WINDOW_H
#define WINDOW_H

#include "config.h"
#include "gamelib.h"
#include <qvbox.h>        // Anzeige-Unterteilung
#include <qhbox.h>        // Basis dieses Windows
#include <qgrid.h>        // Unterteilungsgitter
#include <qlabel.h>       // Anzeigen 
#include <qlineedit.h>    // Eingaben
#include <qcanvas.h>      // Spielwiese
#include <qtextedit.h>    // Infofenster
#include <qapplication.h>

class window : public QHBox
{
  Q_OBJECT

  public:
  window(QWidget* parent=0, char* name=0);

  QLabel*   p_level;    // setzen
  QLabel*   p_zeit;
  QLabel*   p_punkte;
  QLabel*   p_tick[ZEIT0];
  
  viewport* my_view;
    
  public slots:
  void set_punkte(int);
  void set_zeit(int);
  void set_ticker(int);
  void set_level(QString);

};

#endif 
